summaryrefslogtreecommitdiffstats
path: root/source/n/metamail/metamail.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/metamail/metamail.SlackBuild')
-rwxr-xr-xsource/n/metamail/metamail.SlackBuild142
1 files changed, 142 insertions, 0 deletions
diff --git a/source/n/metamail/metamail.SlackBuild b/source/n/metamail/metamail.SlackBuild
new file mode 100755
index 000000000..e158283b3
--- /dev/null
+++ b/source/n/metamail/metamail.SlackBuild
@@ -0,0 +1,142 @@
+#!/bin/sh
+
+# Copyright 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=2.7
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-4}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv4 -mtune=xscale"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "armel" ]; then
+ SLKCFLAGS="-O2 -march=armv4t"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-metamail
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf metamail-$VERSION
+xz -dc $CWD/metamail-$VERSION.tar.xz | tar xvf - || exit 1
+cd metamail-$VERSION
+
+xz -dc $CWD/metamail_2.7-52.diff.xz | patch -p1 || exit 1
+xz -dc $CWD/metamail.automake.diff.xz | patch -p1 || exit 1
+
+chmod 755 configure
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-static \
+ --program-prefix="" \
+ --program-suffix="" \
+ $ARCH-slackware-linux
+
+( cd bin
+ cat showexternal | perl -pi -e 's|sensible-pager|more|' > se
+ chmod 755 se ; mv se showexternal
+ cat sun-message | perl -pi -e 's|sensible-pager|more|' > sm
+ chmod 755 sm ; mv sm sun-message
+)
+( cd src/metamail
+ cat mailto.c | perl -pi -e 's|sensible-pager|more|' > m.c
+ mv m.c mailto.c
+)
+
+make $NUMJOBS || make || exit 1
+
+( cd bin
+ cat mailto-hebrew | perl -pi -e 's|/usr/lib/X11/fonts/misc|/usr/share/metamail/fonts|' > mh
+ chmod 755 mh ; mv mh mailto-hebrew
+)
+
+make install DESTDIR=$PKG || exit 1
+
+( cd fonts
+ make
+ mkdir -p $PKG/usr/share/metamail/fonts
+ for file in *.pcf ; do
+ cat $file > $PKG/usr/share/metamail/fonts/$file
+ done
+ cat fonts.alias > $PKG/usr/share/metamail/fonts/fonts.alias
+ cat fonts.dir > $PKG/usr/share/metamail/fonts/fonts.dir
+)
+
+( cd man
+ mkdir -p $PKG/usr/man/man{1,5}
+ for file in *.1 ; do
+ cat $file | gzip -9c > $PKG/usr/man/man1/$file.gz
+ done
+ #for file in *.4 ; do
+ # cat $file | gzip -9c > $PKG/usr/man/man4/$file.gz
+ #done
+ for file in *.5 ; do
+ cat $file | gzip -9c > $PKG/usr/man/man5/$file.gz
+ done
+)
+
+# These are obsolete, broken, and/or undocumented.
+# Complain to volkerdi@slackware.com if you miss any of them...
+for file in \
+ mailserver rcvAppSingle richtoatk sndAppSingle sun-audio-file sun-message \
+ sun-to-mime sun2mime rcvAppleSingle sndAppleSingle sun-message.csh ; do
+ rm -f $PKG/usr/bin/$file $PKG/usr/man/man?/$file.*
+done
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/metamail-$VERSION
+cp -a \
+ COPYING CREDITS INSTALL README \
+ $PKG/usr/doc/metamail-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/metamail-$VERSION-$ARCH-$BUILD.txz
+